Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ServantLocatorPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.PortableServer.ServantLocatorPOA
                  |
                  +--org.omg.PortableServer.ServantLocatorPOATie

All Implemented Interfaces:
  InvokeHandler, ServantLocatorOperations, ServantManagerOperations

public class ServantLocatorPOATie
extends ServantLocatorPOA

Interface definition : ServantLocator

Author:
  OpenORB Compiler

Constructor Summary
`ServantLocatorPOATie(ServantLocatorOperations tieObject)` Constructor
`ServantLocatorPOATie(ServantLocatorOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`ServantLocatorOperations` | `_delegate()` Get the delegate
`void` | `_delegate(ServantLocatorOperations delegate_)` Set the delegate
`void` | `postinvoke(byte[] oid, POA adapter, java.lang.String operation, java.lang.Object the_cookie, Servant the_servant)` Operation postinvoke
`Servant` | `preinvoke(byte[] oid, POA adapter, java.lang.String operation, CookieHolder the_cookie)` Operation preinvoke

Methods inherited from class org.omg.PortableServer.ServantLocatorPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantLocatorPOATie

    public ServantLocatorPOATie(ServantLocatorOperations tieObject)

  Constructor

### ServantLocatorPOATie

    public ServantLocatorPOATie(ServantLocatorOperations tieObject,
                                POA poa)

  Constructor

Method Detail

### _delegate

    public ServantLocatorOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(ServantLocatorOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### preinvoke

    public Servant preinvoke(byte[] oid,
                             POA adapter,
                             java.lang.String operation,
                             CookieHolder the_cookie)
                      throws ForwardRequest

  Operation preinvoke

### postinvoke

    public void postinvoke(byte[] oid,
                           POA adapter,
                           java.lang.String operation,
                           java.lang.Object the_cookie,
                           Servant the_servant)

  Operation postinvoke

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD